Bug 681943 - RFE: Support langpacks specific to Finnish
Summary: RFE: Support langpacks specific to Finnish
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-langpacks
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 477127
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-03 16:44 UTC by Ville-Pekka Vainio
Modified: 2014-07-10 09:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-10 09:50:50 UTC
Type: ---


Attachments (Terms of Use)

Description Ville-Pekka Vainio 2011-03-03 16:44:51 UTC
Description of problem:
Finnish spell checking in Fedora and most other Free Linux-based operating systems is handled by the Voikko library: http://voikko.sourceforge.net/
Voikko needs extensions and plugins to work with some of the programs or other spell checking frameworks in Fedora. The langpacks plugin should install these, when appropriate.

When installing libreoffice, install openoffice.org-voikko (the name will be changed, probably in F16, to libreoffice-voikko)
When installing firefox, install mozvoikko
When installing enchant, install enchant-voikko

Comment 1 Jens Petersen 2011-03-31 05:46:50 UTC
Not sure how easy this would be to do - moving to rawhide anyway.

Comment 2 Caolan McNamara 2011-06-09 13:17:25 UTC
As an aside the libreoffice-langpack-fi has a depend on openoffice.org-voikki

Comment 3 Jens Petersen 2011-06-13 05:14:23 UTC
If we had a firefox langpack we could make that pull in mozvoikko.

Not sure if there is a similar dep path to enchant-voikko?

Bill, any thoughts on this?

Comment 4 Bill Nottingham 2011-06-13 18:32:14 UTC
Langpack installation is done via ISO code substitution in the package name/provides - voikko isn't good enough here. Either it would need to be pulled in as a dependency of an existing Finnish langpack, or it would need to be named/provide <whatever>-fi.

Comment 5 Caolan McNamara 2011-06-29 14:50:13 UTC
notting: it is a dependency of the libreoffice-langpack-fi dependency, is that any use ?, or do you mean something else.

Comment 6 Bill Nottingham 2011-06-29 15:14:53 UTC
If the libreoffice Finnish langpack requires it, that should be fine.

Comment 7 Ville-Pekka Vainio 2011-06-29 17:45:17 UTC
If it helps, I could have mozvoikko provide mozvoikko-fi and enchant-voikko provide, for example, enchant-fi.

Comment 8 Bill Nottingham 2011-06-29 18:28:25 UTC
In the current framework, that doesn't change anything. We'd have to add additional matches to comps first.

A brief question - we don't support any Finnish spellchecking through hunspell directly, only through enchant?

Comment 9 Ville-Pekka Vainio 2011-06-29 18:43:03 UTC
(In reply to comment #8)
> A brief question - we don't support any Finnish spellchecking through hunspell
> directly, only through enchant?

The Finnish spellchecking happens either directly through libvoikko or through enchant's libvoikko provider. The Hunspell Finnish vocabularies are not nearly as good as the libvoikko/malaga implementation (more information is at http://voikko.sourceforge.net/architecture.html).

Comment 10 Jens Petersen 2011-07-01 05:04:58 UTC
I guess enchant-fi would work.

mozvoikko-fi doesn't really help, it would be firefox-fi say
but I would really prefer to see subpackaging of firefox's langpacks first.

Comment 11 Jens Petersen 2012-05-15 07:04:04 UTC
Any more thoughts here?

I suppose firefox for fi could pull in mozvoikko-fi?

Comment 12 Bill Nottingham 2012-05-16 18:23:02 UTC
Except firefox doesn't have langpacks, yes. (We could add a match for it, I suppose.)

Comment 13 Fedora Admin XMLRPC Client 2013-09-20 14:07:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Parag Nemade 2014-07-10 09:50:50 UTC
revisiting this bug again..
For libreoffice we have libreoffice-langpack-fi which pulls libreoffice-voikko.
For firefox we have no langpacks available so yum-langpacks can't help here.
For enchant we have no langpacks available so yum-langpacks can't help here.

For me this looks like a NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.